## aladin 10.076+dfsg

=== astro/Makefile ===
#++++++++++++++++
#.IDENTIFICATION Makefile
#.LANGUAGE       Make (makefile script)
#.AUTHOR         Francois Ochsenbein [CDS]
#.ENVIRONMENT    Unix
#.KEYWORDS
#.VERSION  1.0   06-Mar-2000
#.PURPOSE        (Re)Create dependent files in this Directory
#.COMMENTS       The script check.sys is assumed to exist.
#               It creates in a local file .sys the `uname -m` value
#               #               followed by the necessary -l options
#----------------

PACK=cds/astro
SHELL=/bin/sh
VERSION=1.50

# Programs:
UP2	= cd `/bin/pwd`/../..
EXEC    = java
#EXEC    = jdb -launch


# Directories: ##########################################
CLASSDIR = ../../classes


# Files
UTIL    = AstroMath.java Astrotime.java Astroformat.java \
	  Parsing.java Editing.java
COO     = Coo.java Astrocoo.java Astroframe.java Equatorial.java \
	  ICRS.java FK4.java FK5.java Ecliptic.java \
	  Galactic.java Supergal.java Astropos.java
PROJ    = Proj3.java Coocube.java Qbox.java QboxNumber.java 
REGION  = AbstractRegion.java Region.java CircularRegion.java \
	  ConvexRegion.java ZonalRegion.java EllipticalRegion.java
UNIT    = Unit.java Udef.java Converter.java
SRC 	= $(UTIL) $(COO) $(PROJ) $(UNIT) $(REGION) 
#Otype.java

PGM     = t-Proj3.class t-Astroframe.class t-Qbox.class 

# Options:
DEBUG =
#JAVA_VER = `java -version | awk -F'"' '{if(($$2+0)>=5) print "$(JAVA_O5)"}'`
#JAVA_O5  = -Xlint:-unchecked
#JAVA_OPT = -classpath .:../.. -deprecation $(JAVA_VER) -Xlint:unchecked
JAVA_OPT = -classpath .:../.. -Xlint:-unchecked
JAVAC    = javac $(JAVA_OPT) 


# Dependencies:
all: classes jar


doc: 
	($(UP2); export LANG=C; javadoc -encoding UTF-8 -d doc/ cds.astro)
	rm -rf ../../doc/cds/astro/t*

classes: $(SRC)
	test -d $(CLASSDIR) || mkdir $(CLASSDIR)
	$(JAVAC) -d $(CLASSDIR) $(SRC)
	echo Compiled $? > $@

# TAR

jar: classes
	( cd $(CLASSDIR); jar cf /tmp/cds.astro-$(VERSION).jar cds/astro)
	cp -p /tmp/cds.astro-$(VERSION).jar ../.. 
	cd ../.. && rm -f cds.astro.jar \
	&& ln -s cds.astro-$(VERSION).jar cds.astro.jar
	#($(UP2); cd classes; jar cf /tmp/cds.astro-$(VERSION).jar cds/astro)

export: $(SRC)
	$(MAKE) jar ; $(MAKE) doc
	-test -d /tmp/java && rm -rf /tmp/java
	mkdir -p /tmp/java/src/cds/astro
	cp -p /tmp/cds.astro-$(VERSION).jar /tmp/java
	cp -p $(SRC) Makefile /tmp/java/src/cds/astro
	tar cf - -C ../../.. doc/cds/astro | (cd /tmp/java ; tar xf -)
	tar cvfz /tmp/cds.astro-$(VERSION).tar.gz -C /tmp/java . 
	ls -l /tmp/cds.astro-$(VERSION).tar.gz
	rm -rf /tmp/java

export-unit: $(UTIL) $(UNIT)
	rm -rf $(CLASSDIR)/*
	-test -d /tmp/cds && rm -rf /tmp/cds
	mkdir -p /tmp/java/src/cds/astro
	$(JAVAC) -d $(CLASSDIR)  $(UTIL) $(UNIT)
	(cd $(CLASSDIR); jar cf /tmp/java/cds.astro$(VERSION)-unit.jar cds/astro)
	cp -p $(UTIL) $(UNIT) Makefile /tmp/java/src/cds/astro
	tar cf - -C ../../.. doc/cds/astro | (cd /tmp/java ; tar xf -)
	tar cvfz /tmp/cds.astro-$(VERSION)-unit.tar.gz -C /tmp/java .
	ls -l /tmp/cds.astro-$(VERSION)-unit.tar.gz
	rm -rf /tmp/java

unit.tar.gz:
	$(UP2) && tar cvfz /tmp/unit.tar.gz \
	  `echo Makefile t-Unit.java $(UNIT) $(UTIL) \
	  | sed 's%\([^ ][^ ]*\)%$(PACK)/\1%g'`

# Various TEST Programs

t-AstroMath: t-AstroMath.java AstroMath.java
	$(JAVAC) $?
	($(UP2); $(EXEC) cds/astro/$@)

t-Parsing: t-Parsing.java \
	Astroformat.java Parsing.java AstroMath.java Editing.java
	$(JAVAC) $?
	($(UP2); $(EXEC) cds/astro/$@)

t-Unit: t-Unit.java \
	Converter.java Unit.java Udef.java \
	Astroformat.java AstroMath.java Parsing.java Editing.java
	$(JAVAC) -deprecation $?
	($(UP2); $(EXEC) cds/astro/$@)

#t-Otype: t-Otype.java Otype.java
#	$(JAVAC) -deprecation $?
#	($(UP2); $(EXEC) cds/astro/$@)

t-Converter: t-Converter.java Converter.java \
	Unit.java Udef.java \
	Astroformat.java AstroMath.java Parsing.java Editing.java
	$(JAVAC) -deprecation $?
	($(UP2); $(EXEC) cds/astro/$@)

t-Coo: t-Coo.java Coo.java AstroMath.java \
	Astroformat.java Parsing.java Editing.java
	$(JAVAC) $?
	($(UP2); $(EXEC) cds/astro/$@)

t-Proj3: t-Proj3.java Coo.java AstroMath.java Proj3.java \
	Astroformat.java Parsing.java Editing.java
	$(JAVAC) $?
	($(UP2); $(EXEC) cds/astro/$@)

tAstrocoo: t-Astrocoo.java $(COO) $(UTIL)
	$(JAVAC) -g $@.java $(COO) $(UTIL)
	($(UP2); $(EXEC) cds/astro/$@)

t-Astrocoo: t-Astrocoo.java $(COO) $(UTIL)
	$(JAVAC) -g $?
	($(UP2); $(EXEC) cds/astro/$@)

t-Pierre: t-Pierre.java $(COO) $(UTIL)
	$(JAVAC) -g $?
	($(UP2); $(EXEC) cds/astro/$@)

t-Region: t-Region.java $(PROJ) $(COO) $(UTIL) $(REGION)
	$(JAVAC) -g $?
	($(UP2); $(EXEC) cds/astro/$@)

t-Qbox: t-Qbox.java $(PROJ) $(COO) $(UTIL) $(REGION)
	$(JAVAC) -g $?
	($(UP2); $(EXEC) cds/astro/$@)

t-Qbox1: t-Qbox.java $(PROJ) $(COO) $(UTIL) $(REGION) 
	$(JAVAC) -g $?
	($(UP2); $(EXEC) cds/astro/t-Qbox < cds/astro/t-Qbox.1 ) | tee /tmp/$@
	gawk -F\( '/===edit_list/{print "\n#", $$0; next}\
	  /^[.][.][.][.]#/{if(NF!=2) next; \
	     pos=$$2; sub(/[()]/, "", pos); print pos}' /tmp/$@ \
	| sed 's/\([+-]\)/ \1/' | aclient vizier 1649 put /tmpx/$@

t-QboxNumber: t-QboxNumber.java $(PROJ) $(COO) $(UTIL)
	$(JAVAC) -g $?
	($(UP2); $(EXEC) cds/astro/$@)

t-Qbox2: t-Qbox2.java $(PROJ) $(COO) $(UTIL)
	$(JAVAC) -g $?
	($(UP2); $(EXEC) cds/astro/$@)

t-Astropos: t-Astropos.java Astropos.java $(COO) $(UTIL)
	$(JAVAC) -g $?
	($(UP2); $(EXEC) cds/astro/$@)

t-Pineau: t-Pineau.java Astropos.java $(COO) $(UTIL)
	$(JAVAC) -g $?
	($(UP2); $(EXEC) cds/astro/$@)

PourFrancois: PourFrancois.java Astropos.java $(COO) $(UTIL)
	$(JAVAC) -g $?
	($(UP2); $(EXEC) cds/astro/$@)

regions.tar.gz: AstroMath.java $(COO) $(PROJ) $(REGION) t-Qbox.java
	tar cvfz $@ AstroMath.java $(COO) $(PROJ) $(REGION)

clean:
	rm -f *.java~ *.class classes

=== debian/changelog ===
aladin (10.076+dfsg-1) unstable; urgency=low

  * New upstream version 10.076+dfsg
  * Reorganize patches a bit; adjust Don-t-call-home-for-logging.patch
  * Remove obsolete options from manpage and desktop entry
  * Update VCS fields to use salsa.d.o
  * Delete d/s/local-options
  * Push Standards-Version to 4.1.3. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Thu, 08 Feb 2018 15:37:53 +0100

aladin (10.056+dfsg-2) unstable; urgency=low

  * Use package provided moc, savot, and units
  * Add CDS as the creator of the software to the description
  * Update and extend manpage

 -- Ole Streicher <olebole@debian.org>  Wed, 27 Dec 2017 14:56:02 +0100

aladin (10.056+dfsg-1) unstable; urgency=low

  * New upstream version 10.056+dfsg. Rediff patches
  * Official upstream version: switch to unstable
  * Push Standards-Version to 4.1.2. Change URLs to https

 -- Ole Streicher <olebole@debian.org>  Thu, 07 Dec 2017 14:38:12 +0100

aladin (10.033+dfsg-1) experimental; urgency=low

  * Initial release. (Closes: #818373)

 -- Paul Sladen <debian@paul.sladen.org>  Mon, 23 Oct 2017 22:07:47 +0200

=== debian/control ===
Source: aladin
Section: java
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Paul Sladen <debian@paul.sladen.org>,
           Ole Streicher <olebole@debian.org>
Build-Depends: ant, debhelper (>= 9), dh-exec, javahelper (>= 0.40)
Build-Depends-Indep: adql-java,
                     default-jdk,
                     default-jdk-doc,
                     libcommons-codec-java,
                     libcommons-httpclient-java,
                     libhealpix-java,
                     libjsamp-java,
                     libkxml2-java
Standards-Version: 4.1.3
Homepage: https://aladin.u-strasbg.fr/
Vcs-Git: https://salsa.debian.org/debian-astro-team/aladin.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/aladin

Package: aladin
Section: science
Architecture: all
Depends: default-jre, ${java:Depends}, ${misc:Depends}
Description: Interactive sky atlas for astronomical images and datasets
 Aladin is an interactive software sky atlas allowing the user to
 visualise digitised astronomical images, to superimpose entries from
 astronomical catalogues or databases, and to interactively access
 related data and information from the Simbad database, the VizieR
 service and other archives for all known sources in the field.
 .
 Created in 1999 by the Centre de Données astronomiques de Strasbourg
 (CDS), Aladin has become a widely-used tool of the Virtual
 Observatory (VO) framework capable of addressing challenges such as
 locating data of interest, accessing and exploring distributed
 datasets, and visualising multi-wavelength data. Compliance with
 existing or emerging VO standards, interconnection with other
 visualisation or analysis tools, and the ability to easily compare
 heterogeneous data are the key topics which allow Aladin to be a
 powerful data exploration and integration tool.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/healpix.jar:/usr/share/java/jsamp.jar:/usr/share/java/kxml2.jar:/usr/share/java/commons-codec.jar:/usr/share/java/commons-httpclient.jar:/usr/share/java/ws-commons-util.jar:/usr/share/java/adql.jar

%:
	dh $@ --with javahelper

override_dh_auto_build:
	ant main

get-orig-source:
	#fname=AladinBetaSrc.jar ; \
	fname=AladinSrc.jar ; \
	wget -Oaladin.zip http://aladin.unistra.fr/java/download/$$fname
	( mkdir AladinSrc ; \
	cd AladinSrc ; \
	unzip ../aladin.zip ;\
	rm -f *.jar ; \
	VERSION=`fgrep "String VERSION" cds/aladin/Aladin.java | sed 's/.*"v\(.*\)".*/\1/'` ; \
	tar cf ../aladin_$$VERSION+dfsg.orig.tar . ; \
	cd .. ; \
	rm -rf AladinSrc ; \
	mv -f aladin.zip AladinSrc-$$VERSION.zip ; \
	xz aladin_$$VERSION+dfsg.orig.tar )

## aladin 11.024+dfsg2

=== debian/changelog ===
aladin (11.024+dfsg2-1) unstable; urgency=low

  * Use Debian's jsofa instead of builtin copy
  * Add "Rules-Requires-Root: no" to d/control

 -- Ole Streicher <olebole@debian.org>  Thu, 02 Jul 2020 09:11:34 +0200

aladin (11.024+dfsg-1) unstable; urgency=low

  * Remove (wrong) base healpix dir (should be cds/healpix) in get-orig-source
  * New upstream version 11.024+dfsg

 -- Ole Streicher <olebole@debian.org>  Fri, 29 May 2020 09:08:15 +0200

aladin (11.021+dfsg-1) unstable; urgency=low

  * New upstream version 11.021+dfsg. Rediff patches
  * Push Standards-Version to 4.5.0. No changes needed.
  * Push compat to 13. Replace d/compat by debhelper-compat virtual build dep
  * Remove unneeded build dep versions
  * Use system package for cds/healpix
  * Add copyright for org.jastronomy.jsofa

 -- Ole Streicher <olebole@debian.org>  Sun, 03 May 2020 17:56:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,34 @@
 Source: aladin
-Section: java
-Priority: optional
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Paul Sladen <debian@paul.sladen.org>,
            Ole Streicher <olebole@debian.org>
-Build-Depends: ant, debhelper (>= 9), dh-exec, javahelper (>= 0.40)
+Section: java
+Priority: optional
+Build-Depends: ant,
+               debhelper-compat (= 13),
+               dh-exec,
+               javahelper
 Build-Depends-Indep: adql-java,
                      default-jdk,
                      default-jdk-doc,
                      libcommons-codec-java,
                      libcommons-httpclient-java,
-                     libhealpix-java,
+                     libcds-healpix-java,
                      libjsamp-java,
+                     libjsofa-java,
                      libkxml2-java
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/aladin
+Vcs-Git: https://salsa.debian.org/debian-astro-team/aladin.git
 Homepage: https://aladin.u-strasbg.fr/
-Vcs-Git: https://salsa.debian.org/debian-astro-team/aladin.git
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/aladin
+Rules-Requires-Root: no
 
 Package: aladin
+Architecture: all
 Section: science
-Architecture: all
-Depends: default-jre, ${java:Depends}, ${misc:Depends}
+Depends: default-jre,
+         ${java:Depends},
+         ${misc:Depends}
 Description: Interactive sky atlas for astronomical images and datasets
  Aladin is an interactive software sky atlas allowing the user to
  visualise digitised astronomical images, to superimpose entries from

## aladin 12.001+dfsg

=== debian/changelog ===
aladin (12.001+dfsg-1) unstable; urgency=medium

  * New upstream version 12.001+dfsg
  * Install old original build.xml
  * Push Standards-Version to 4.6.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Tue, 27 Sep 2022 19:21:09 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                      libjsamp-java,
                      libjsofa-java,
                      libkxml2-java
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/aladin
 Vcs-Git: https://salsa.debian.org/debian-astro-team/aladin.git
 Homepage: https://aladin.u-strasbg.fr/

=== debian/watch ===
# The latest version of upstream can be found at
#  http://aladin.u-strasbg.fr/java/nph-aladin.pl?frame=downloading .
# Since upstream does not provide a versioning scheme, however,
#  (source archives are generally named "AladinSrc.jar") the watch
#  file syntax will not have any effect.
#
# A tools to download + version the upstream Jarball can be found at:
#  https://github.com/sladen/vo/blob/master/aladin-meta/fetch-aladin-source.py

## aladin 12.060+dfsg

=== astro/Makefile ===
#++++++++++++++++
#.IDENTIFICATION Makefile
#.LANGUAGE       Make (makefile script)
#.AUTHOR         Francois Ochsenbein [CDS]
#.ENVIRONMENT    Unix
#.KEYWORDS
#.VERSION  1.0   06-Mar-2000
#.PURPOSE        (Re)Create dependent files in this Directory
#.COMMENTS       The script check.sys is assumed to exist.
#               It creates in a local file .sys the `uname -m` value
#               #               followed by the necessary -l options
#----------------

PACK=cds/astro
SHELL=/bin/sh
VERSION=2.0

# Programs:
UP2	= cd `/bin/pwd`/../..
EXEC    = java
#EXEC    = jdb -launch


# Directories: ##########################################
CLASSDIR = ../../../classes


# Files
UTIL    = AstroMath.java Astrotime.java Astroformat.java \
	  Parsing.java Editing.java
COOF    = Coo.java Astrocoo.java Astroframe.java Equatorial.java \
	  ICRS.java FK4.java FK5.java Ecliptic.java \
	  Galactic.java Supergal.java GalGaia.java
COO     = Coo.java Astrocoo.java Astroframe.java Equatorial.java \
	  ICRS.java FK4.java FK5.java Ecliptic.java \
	  Galactic.java Supergal.java Astropos.java
PROJ    = Proj3.java Coocube.java Qbox.java QboxNumber.java 
REGION  = AbstractRegion.java Region.java CircularRegion.java \
	  ConvexRegion.java ZonalRegion.java EllipticalRegion.java
UNIT    = Unit.java Udef.java Converter.java
SRC 	= $(UTIL) $(COO) $(PROJ) $(UNIT) $(REGION) 
#Otype.java

PGM     = tProj3.class tAstroframe.class tQbox.class tOtype.class

# Options:
DEBUG =
#JAVA_VER = `java -version | awk -F'"' '{if(($$2+0)>=5) print "$(JAVA_O5)"}'`
#JAVA_O5  = -Xlint:-unchecked
#JAVA_OPT = -classpath .:../.. -deprecation $(JAVA_VER) -Xlint:unchecked
#JAVA_OPT = -classpath .:../.. -Xlint:-unchecked
#JAVA_OPT = -classpath .:../.. -Xlint:-serial  -Xlint:unchecked
JAVA_OPT = -classpath .:../.. -Xlint:-serial 
JAVAC    = javac $(JAVA_OPT) 


# Dependencies:
all: classes


doc: 
	($(UP2); export LANG=C; javadoc -d ../doc/ cds.astro)
	rm -rf ../../../doc/cds/astro/t*

classes: $(SRC)
	$(JAVAC) -d $(CLASSDIR) $(SRC)
	echo Compiled $? > $@

# TAR

jar: classes
	($(UP2); cd ../classes; jar cf /tmp/cds.astro-$(VERSION).jar cds/astro)

#	$(MAKE) jar ; $(MAKE) doc
export: $(SRC)
	$(MAKE) jar ; 
	-test -d /tmp/java && rm -rf /tmp/java
	mkdir -p /tmp/java/src/cds/astro
	cp -p /tmp/cds.astro-$(VERSION).jar /tmp/java
	cp -p $(SRC) Makefile /tmp/java/src/cds/astro
	tar cf - -C ../../.. doc/cds/astro | (cd /tmp/java ; tar xf -)
	tar cvfz /tmp/cds.astro-$(VERSION).tar.gz -C /tmp/java . 
	ls -l /tmp/cds.astro-$(VERSION).tar.gz
	rm -rf /tmp/java

export-unit: $(UTIL) $(UNIT)
	rm -rf $(CLASSDIR)/*
	-test -d /tmp/cds && rm -rf /tmp/cds
	mkdir -p /tmp/java/src/cds/astro
	$(JAVAC) -d $(CLASSDIR)  $(UTIL) $(UNIT)
	(cd $(CLASSDIR); jar cf /tmp/java/cds.astro$(VERSION)-unit.jar cds/astro)
	cp -p $(UTIL) $(UNIT) Makefile /tmp/java/src/cds/astro
	tar cf - -C ../../.. doc/cds/astro | (cd /tmp/java ; tar xf -)
	tar cvfz /tmp/cds.astro-$(VERSION)-unit.tar.gz -C /tmp/java .
	ls -l /tmp/cds.astro-$(VERSION)-unit.tar.gz
	rm -rf /tmp/java

unit.tar.gz:
	$(UP2) && tar cvfz /tmp/unit.tar.gz \
	  `echo Makefile tUnit.java $(UNIT) $(UTIL) \
	  | sed 's%\([^ ][^ ]*\)%$(PACK)/\1%g'`

# Various TEST Programs

tAstroMath: tAstroMath.java AstroMath.java
	$(JAVAC) $?
	($(UP2); $(EXEC) cds/astro/$@)

tParsing: tParsing.java \
	Astroformat.java Parsing.java AstroMath.java Editing.java
	$(JAVAC) $?
	($(UP2); $(EXEC) cds/astro/$@)

tUnit: tUnit.java \
	Converter.java Unit.java Udef.java \
	Astroformat.java AstroMath.java Parsing.java Editing.java
	$(JAVAC) -deprecation $?
	($(UP2); $(EXEC) cds/astro/$@)

tOtype: tOtype.java Otype.java
	$(JAVAC) -deprecation $?
	($(UP2); $(EXEC) cds/astro/$@)

tConverter: tConverter.java Converter.java \
	Unit.java Udef.java \
	Astroformat.java AstroMath.java Parsing.java Editing.java
	$(JAVAC) -deprecation $?
	($(UP2); $(EXEC) cds/astro/$@)

tCoo2: tCoo2.java Coo2.java AstroMath.java \
	Astroformat.java Parsing.java Editing.java
	$(JAVAC) -Xdiags:verbose $?
	echo "($(UP2); time $(EXEC) x20000000 123-27 130+27</dev/null)"
	($(UP2); $(EXEC) cds/astro/$@)

tCoo: tCoo.java Coo.java AstroMath.java \
	Astroformat.java Parsing.java Editing.java
	$(JAVAC) $?
	echo "($(UP2); time $(EXEC) x20000000 123-27 130+27</dev/null)"
	($(UP2); $(EXEC) cds/astro/$@)

tProj3: tProj3.java Coo.java AstroMath.java Proj3.java \
	Astroformat.java Parsing.java Editing.java
	$(JAVAC) $?
	($(UP2); $(EXEC) cds/astro/$@)

tAstrocoo: tAstrocoo.java $(COOF) $(UTIL)
	$(JAVAC) -g $?
	($(UP2); $(EXEC) cds/astro/$@)

tPierre: tPierre.java $(COO) $(UTIL)
	$(JAVAC) -g $?
	($(UP2); $(EXEC) cds/astro/$@)

tRegion: tRegion.java $(PROJ) $(COO) $(UTIL) $(REGION)
	$(JAVAC) -g $?
	($(UP2); $(EXEC) cds/astro/$@)

tQbox: tQbox.java $(PROJ) $(COO) $(UTIL) $(REGION)
	$(JAVAC) -g $?
	($(UP2); $(EXEC) cds/astro/$@)

tQbox1: tQbox.java $(PROJ) $(COO) $(UTIL) $(REGION) 
	$(JAVAC) -g $?
	($(UP2); $(EXEC) cds/astro/tQbox < cds/astro/tQbox.1 ) | tee /tmp/$@
	gawk -F\( '/===edit_list/{print "\n#", $$0; next}\
	  /^[.][.][.][.]#/{if(NF!=2) next; \
	     pos=$$2; sub(/[()]/, "", pos); print pos}' /tmp/$@ \
	| sed 's/\([+-]\)/ \1/' | aclient vizier 1649 put /tmpx/$@

tQboxNumber: tQboxNumber.java $(PROJ) $(COO) $(UTIL)
	$(JAVAC) -g $?
	($(UP2); $(EXEC) cds/astro/$@)

tQbox2: tQbox2.java $(PROJ) $(COO) $(UTIL)
	$(JAVAC) -g $?
	($(UP2); $(EXEC) cds/astro/$@)

tAstropos: tAstropos.java Astropos.java $(COO) $(UTIL)
	$(JAVAC) -g $?
	($(UP2); $(EXEC) cds/astro/$@)

tPineau: tPineau.java Astropos.java $(COO) $(UTIL)
	$(JAVAC) -g $?
	($(UP2); $(EXEC) cds/astro/$@)

PourFrancois: PourFrancois.java Astropos.java $(COO) $(UTIL)
	$(JAVAC) -g $?
	($(UP2); $(EXEC) cds/astro/$@)

regions.tar.gz: AstroMath.java $(COO) $(PROJ) $(REGION) tQbox.java
	tar cvfz $@ AstroMath.java $(COO) $(PROJ) $(REGION)

clean:
	rm -f *.java~ *.class

=== debian/changelog ===
aladin (12.060+dfsg-3) unstable; urgency=medium

  * Convert to adql-2 Java package (Closes: #1058415).

 -- Ole Streicher <olebole@debian.org>  Wed, 13 Dec 2023 09:49:01 +0100

aladin (12.060+dfsg-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/p/fully-qualify-builder.patch: fully qualify cds.allsky.Builder class to
    avoid name collision with java.lang.thread.Builder (Closes: #1052586).

 -- Ole Streicher <olebole@debian.org>  Mon, 20 Nov 2023 10:02:58 +0100

aladin (12.060+dfsg-1) unstable; urgency=medium

  * New upstream version 12.060+dfsg
  * Push Standards-Version to 4.6.2. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Jun 2023 08:52:13 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                      libjsamp-java,
                      libjsofa-java,
                      libkxml2-java
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/aladin
 Vcs-Git: https://salsa.debian.org/debian-astro-team/aladin.git
 Homepage: https://aladin.u-strasbg.fr/

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export JAVA_HOME=/usr/lib/jvm/default-java
-export CLASSPATH=/usr/share/java/healpix.jar:/usr/share/java/jsamp.jar:/usr/share/java/kxml2.jar:/usr/share/java/commons-codec.jar:/usr/share/java/commons-httpclient.jar:/usr/share/java/ws-commons-util.jar:/usr/share/java/adql.jar
 
 %:
 	dh $@ --with javahelper
@@ -17,6 +16,8 @@
 	cd AladinSrc ; \
 	unzip ../aladin.zip ;\
 	rm -f *.jar ; \
+	rm -rf cds/healpix healpix ; \
+	rm -rf org/jastronomy/jsofa ; \
 	VERSION=`fgrep "String VERSION" cds/aladin/Aladin.java | sed 's/.*"v\(.*\)".*/\1/'` ; \
 	tar cf ../aladin_$$VERSION+dfsg.orig.tar . ; \
 	cd .. ; \
